VERSION 8000; ; 8300
* -----------------------------------------------------------------------------
* @filedoc
* @file PuWo_Loeschen.CSX
* @brief Punktwolke loeschen 
* 
* Dieses Beispielskript lscht die ausgewhlte Punktwolke.
*
* -----------------------------------------------------------------------------
* Copyright (C) IB&T
* 
* Gewhrleistung und Nutzung
* 
* Die Nutzung des Skriptes erfolgt stets auf eigene Gefahr. IB&T bernimmt keine
* Gewhr dafr, dass die Nutzung dieses Skriptes zu Ihrem gewnschten Ergebnis
* fhrt. Da CardScripte vorhandene Projektdaten durch Direktzugriff auf die
* jeweiligen Datenbanken auch ohne weitere Sicherheitsabfragen unbemerkt verndern
* oder lschen knnen, erfordert eine Nutzung entsprechende Kenntnisse und groe
* Sorgfalt. IB&T haftet nicht fr eventuell entstehende Datenverluste und
* Folgeschden, die durch die Nutzung von CardScripten entstehen.
*
* -----------------------------------------------------------------------------
* @author BB
* @endfiledoc
* -----------------------------------------------------------------------------
*    8300 20.05.09 JH Fehlerbehandlung bei nicht vorhandener Punktwolke 
* @history
* -----------------------------------------------------------------------------

   
* Vereinbarungen --------------------------------------------------------------

BILDSCHIRM GRAFIK                           | Meldungen im Arbeitsprotokoll ausgeben


* Explizite Deklarationen -----------------------------------------------------

SYMBOLE /POINTCLOUDSYS/ PointCloudSys       | Symbol fr das Punktwolkensystem
SYMBOLE /POINTCLOUD/ PuWo                   | Symbol fr die Punktwolke


* Ausfhrungen ----------------------------------------------------------------

* Systemobjekt
PointCloudSys = Project.GetPointCloudSys()  

* Punktwolkenobjekt
PuWo = PointCloudSys.ChoosePointCloud()     | Auswahl der Punktwolke im Dialog

WENN Puwo == $NULL DANN
  STOP MELDE "Abbruch da keine Punktwolke vorhanden oder gewhlt!" 
SONST
  TEXTGEN !MeldeText; "Soll die Punktwolke # gelscht werden?"; !!PuWo.GetName()
  MELDUNG FRAGE; !MeldeText; JN
  WENN JN == 1 DANN
    PuWo.Delete()                           | lscht die ausgewhlte Punktwolke 
    TEXTGEN !MeldeEnde; "Punktwolke # wurde gelscht!"; !!PuWo.GetName()
    MELDUNG NEUTRAL; !MeldeEnde
  WEITER
WEITER
